play_sample(3)

NAME
play_sample

SYNOPSIS
#include <allegro.h>

int play_sample(const SAMPLE *spl, int vol, int pan, int freq, int loop);

DESCRIPTION
Triggers a sample at the specified volume, pan position, and frequency. The volume and pan range from 0 (min/left) to 255 (max/right). Frequency is relative rather than absolute: 1000 represents the frequency that the sample was recorded at, 2000 is twice this, etc. If the loop flag is set, the sample will repeat until you call stop_sample(), and can be manipulated while it is playing by calling adjust_sample(). Returns the voice number that was allocated for the sample (a non-negative number if successful).

SEE ALSO
install_sound(3), load_sample(3), adjust_sample(3), stop_sample(3), exsample(3)